syslog_relay_client_free
syslog_relay_client_new
syslog_relay_client_start_service
syslog_relay_client_t
syslog_relay_error_t
syslog_relay_receive
syslog_relay_receive_cb_t
syslog_relay_receive_with_timeout
SYSLOG_RELAY_SERVICE_NAME
syslog_relay_start_capture
syslog_relay_start_capture_raw
syslog_relay_stop_capture

## syslog_relay_receive()

LIBIMOBILEDEVICE_API syslog_relay_error_t syslog_relay_receive | ( | syslog_relay_client_t | client,
|  | char * | data,
|  | uint32_t | size,
|  | uint32_t * | received )

Receives data from the service.

Parameters

  client | The syslog_relay client
  data | Buffer that will be filled with the data received
  size | Number of bytes to receive
  received | Number of bytes received (can be NULL to ignore)

Returns
  SYSLOG_RELAY_E_SUCCESS on success, SYSLOG_RELAY_E_INVALID_ARG when client or plist is NULL